Contenu | Rechercher | Menus

Annonce

Les adresses laposte.net ne permettent pas de recevoir nos emails. Vous êtes invité à changer d'adresse dans vos paramètres de compte à votre prochaine connexion.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

nombre réponses : 25

#0 Re : -1 »  comment virer des anciens noyaux [ RESOLU ] » Le 03/12/2016, à 20:49

Coeur Noir
Réponses : 45

@Laurent, attention Alain est en 14.04 donc apt-get et pas seulement apt ;-)

Attends, avant de passer autoremove --purge…

apt-mark showmanual | egrep 'linux-.*[0-9]' indique que tous tes noyaux sont marqués comme étant installés manuellement donc l'autoremove ne les considèrera pas.

Donc d'abord

sudo apt-mark auto $(apt-mark showmanual | egrep 'linux-.*[0-9]')

pour les marquer comme installés automatiquement puis

sudo apt-get autoremove --purge

Si ça marche et que ça fait déjà du ménage, tente un

sudo apt-get install -f

qui peut réparer des installations de paquets boîteuses.

Ensuite

sudo apt-get update && sudo apt-get dist-upgrade

pour interroger des mises à jours disponibles, et mettre à jour ton système.

Il y a cependant ça qui m'intrigue dans le retour de df -h :

overflow           1,0M    1,0M     0 100% /tmp

qu'il faudra probablement creuser. En espérant qu'il ne nous bloque pas avant…

_______________________


Si cette histoire de /tmp en overflow est bloquante :
passer en premier lieu un

sudo umount overflow

ou

sudo umount -l overflow

comme vu ici https://answers.launchpad.net/ubuntu/+question/34535 ou là http://stackoverflow.com/a/17536338
puis repasser les commandes apt-get…

#1 Re : -1 »  comment virer des anciens noyaux [ RESOLU ] » Le 03/12/2016, à 21:01

Coeur Noir
Réponses : 45

Bonne soirée alors !

À ton retour, jette un œil au post #7

#2 Re : -1 »  comment virer des anciens noyaux [ RESOLU ] » Le 03/12/2016, à 21:13

Coeur Noir
Réponses : 45

Ah. Bah… oui. Merdalors lol je corrige…

#3 Re : -1 »  comment virer des anciens noyaux [ RESOLU ] » Le 04/12/2016, à 00:15

Coeur Noir
Réponses : 45

Je ne pense pas qu'apt est bloqué.

Ici, à un moment donné le système n'a pas trouvé assez d'espace disque au moment du démarrage, il a alors créé un /tmp de secours ( overflow ). Or ce /tmp virtuel est tout petit ( 1Mo ) juste pour assurer le démarrage système. Il suffit de le démonter pour que le système pointe à nouveau vers le /tmp réel sur disque ( voir liens fin post #7 )

#4 Re : -1 »  comment virer des anciens noyaux [ RESOLU ] » Le 04/12/2016, à 13:53

Coeur Noir
Réponses : 45
cqfd93 a écrit :

Si, apt est bloqué et ne peut pas désinstaller linux-image-extra-3.13.0-100-generic parce que depmod ne trouve pas certains fichiers.

apt était bloqué car il ne pouvait plus écrire dans le /tmp virtuel, plein, où auraient dû probablement se trouver des fichiers attendus par depmod ?

Alain, pour s'assurer que c'est bien propre, peux-tu à nouveau poster le retour de

dpkg -l | grep -Ei "linux-(g|h|i|lo|si|t)"
Christophe C a écrit :

Pour que cela ne se reproduise pas :

sudo apt autoremove -y && sudo apt autoclean && sudo purge-old-kernels -y

apt autoremove supprime normalement les noyaux, sauf les 2 derniers. Il supprime aussi pas mal d'autres vieux fichiers par contre, j'ai l'impression qu'autoremove laisse des traces, des bouts non désinstallés. J'ai donc installé chez moi le paquet bikeshed (…) Si tu ne veux pas installer bikeshed, un sudo apt autoremove -y && sudo apt autoclean sera déjà pas mal.

Tu peux aussi désinstaller les programmes que tu n'utilises jamais

Pour obtenir la commande purge-old-kernels il faudra installer byobu au lieu de bikeshed, pour 16.04 et suivantes…

Et c'est plutôt

sudo apt autoremove --purge

pour nettoyer tous les paquets devenus obsolètes ET leurs configurations. Cette commande enlèvera aussi les ( anciens ) noyaux installés automatiquement au fur et à mesure des mises à jours du système, ne touchera pas aux noyaux installés manuellement. Voir https://doc.ubuntu-fr.org/kernel#method … e_commande. Du coup on peut se dispenser de kclean quand on connaît ces commandes…

#5 Re : -1 »  comment virer des anciens noyaux [ RESOLU ] » Le 04/12/2016, à 20:30

Coeur Noir
Réponses : 45

Comme ça ?

sudo apt-get install linux-headers-3.13.0-103 linux-headers-3.13.0-103-generic linux-generic-lts-trusty linux-headers-generic-lts-trusty

C'est bizarre que apt autoremove ne fonctionne pas pareil d'un pc à l'autre - pas constaté de pépins de mon côté sur trois machines assez différentes, depuis des mois…

#6 Re : -1 »  comment virer des anciens noyaux [ RESOLU ] » Le 04/12/2016, à 21:17

Coeur Noir
Réponses : 45

Et que penser de purge-old-kernels amené par byobu ou bikeshed ? Ça au moins c'est dans les dépôts officiels d'Ubuntu…

…après je ne reproche rien à kclean, hein big_smile si ce n'est qu'il faut aller le chercher ailleurs.

#7 Re : -1 »  comment virer des anciens noyaux [ RESOLU ] » Aujourd'hui à 12:51

Coeur Noir
Réponses : 45

Synaptic, tri par état :
mini_698126Capturedu20161206124739.png mini_600668Capturedu20161206124803.png

#8 Re : -1 »  [Résolu] Différence à l'utilisation entre Ubuntu et Xubuntu » Aujourd'hui à 13:17

Coeur Noir
Réponses : 15

Discussion potentiellement trollesque lol C'est affaire de goût, c'est purement subjectif.

D'un environnement à l'autre les logiciels par défaut varient un peu : navigateur de fichiers, émulateur de terminal, présence ou pas de LibreOffice, Firefox, Gimp, tel ou tel autre player multimédia, vidéo…

Perso j'aime vraiment pô Xfce/xubuntu, comme je n'aimais pas windows XP. Mais oui on peut tout y triturer pour le rendre encore plus moche/beau selon le talent.

J'aime bien Unity parce qu'il propose out-of-the-box un ensemble qui est cohérent avec ma façon de travailler : dash, lanceur, quicklist, hud, raccourcis claviers.

Dire encore aujourd'hui qu'Unity est peu personnalisable me paraît inexact : sous 16.04 unity-tweak-tool donne accès à quasi tous les paramètres avancés et permet de changer thèmes, icônes, polices, position du lanceur, etc, etc… et puis ça reste un machin basé sur compiz, donc compiz-config-settings-manager pour les plus aventureux !
→ voir points 5 à 8 de cette page http://www.omgubuntu.co.uk/2016/04/10-t … -16-04-lts par exemple.

Par contre un conseil, si tu te lances dans le test de plusieurs environnements sur une même installation : crée une session utilisateur dédiée par environnement testé ! Si tu mets tout sous un seul utilisateur, pépins assurés… Et même en dédiant un utilisateur par environnement tu n'es pas à l'abri de surprises ( prépare-toi à reconfigurer lightdm entre autres ).

#9 Re : -1 »  Impossible d'écouter le player radio online de France Culture-Ubuntu » Le 04/12/2016, à 23:25

Coeur Noir
Réponses : 33

lire la doc → https://doc.ubuntu-fr.org/flashplayer#d … _officiels

la doc a écrit :

Une autre possibilité consiste à activer les dépôts partenaires de Canonical
puis installer le paquet adobe-flashplugin
Cette 2ème méthode est vivement conseillée depuis le mois de Mai 2015 car elle permet de gérer les 2 versions différentes de Flash disponibles actuellement sous Firefox et Chromium https://wiki.ubuntu.com/Chromium/Getting-Flash

Pour activer le dépôts partenaires de canonical, dans logiciels & mises à jour :
mini_445498Capturedu20160207232153.png

#10 Re : -1 »  Impossible d'écouter le player radio online de France Culture-Ubuntu » Hier à 23:32

Coeur Noir
Réponses : 33

Je ne prétends pas aider sur le coup, mais simplement porter à votre connaissance d'amateurs de radios ce site communautaire qui est une base de donnée de ( beaucoup de ) radios écoutables en ligne :
http://www.radio-browser.info/gui/#/bycountry/France
Elle nourrit en temps réel un logiciel comme gradio par exemple…

#11 Re : -1 »  [résolu] Icône "majuscule" dans la barre du haut ? » Hier à 23:58

Coeur Noir
Réponses : 5

J'ai essayé indicator-keylock, et j'ai fini par préférer https://github.com/adrianiainlam/indicator-keyboard-led car il montre "tous" les états ( pavé num., majuscule, scroll si besoin ) et n'envoie pas de notification.
Et puis il est en français ;-)
C'est un tout petit script en python.
Pour le lancer avec le démarrage de la session, ajouter une entrée dans applications au démarrage :

nom : Indicateur Verrou Num / Maj
commande : python3 "/chemin_vers/indicator-keyboard-led-master/indicator-keyboard-led.py" --order NC

#12 Re : -1 »  [résolu] Icône "majuscule" dans la barre du haut ? » Aujourd'hui à 01:42

Coeur Noir
Réponses : 5

1) lien github donné en post #3 → bouton vert download ou clone → télécharge l'archive zip
2) extraits ce zip vers un dossier de ton choix.
3) ouvre « applications au démarrage » depuis le tableau de bord Unity → bouton ajouter
mini_394989Capturedu20161206013724.png
C'est là qu'il faudra ajouter ces 2 lignes, en ajustant bien sûr le chemin à ton cas, le dossier de ton choix au point 2).

#13 Re : -1 »  Supprimer marge à l'impression libreoffice [RESOLU] » Le 04/12/2016, à 23:11

Coeur Noir
Réponses : 6

LibreOffice ok, mais calc ou draw ou ?

La résolution de tes images est-elle suffisante pour une impression ?
A6 → dimensions = 10,5 x 14,8 centimètres → 300dpi ( ou points par pouce ) pour une bonne qualité, 200 peut suffire, en dessous de 150 ça devient moche…
Ça ce sont donc les valeurs à minima pour ton image A6 dans Gimp.

Quand tu importes cette image dans [ un logiciel de la suite ] LibreOffice, au clic droit sur l'image → ( image → ) compresser
te permet de voir ces infos, et éventuellement de réajuster les paramètres.

Tu peux aussi faire une image A4 dans Gimp qui contient 4× la même image A6…

L'impression borderless A4 n'est peut-être accessible dans l'imprimante qu'à partir de certains formats d'image ? Et pas pour des formats de documents.

Il est également possible depuis [ un logiciel de la suite ] LibreOffice d'exporter le document en cours vers un format image ( png, jpg, etc… selon le logiciel le choix de formats est plus ou moins grand, bouton tous les formats en bas à droite de la fenêtre ).
menu → fichier → exporter

#14 Re : -1 »  Supprimer marge à l'impression libreoffice [RESOLU] » Hier à 00:02

Coeur Noir
Réponses : 6

Bah tu crées une nouvelle image A4, en 300 dpi.

Tu y ouvres en tant que calque ton image A6. Fichier → Ouvrir en tant que calque…

Tu copies 3 fois ce calque → dans la boîte des calques, clic droit sur le calque → Dupliquer le calque

T'en déplaces un à chaque coin, tu peux t'aider avec les guides :
vérifie que dans Menu → Affichage, Aligner sur les guides est bien coché puis Menu → Image → Guides → Nouveau guide ( en %age ) → horizontal 50% / vertical 50%

Voilà smile

Sinon 72dpi, c'est la résolution moyenne théorique/standard pour affichage sur un écran ( évidemment c'est fonction de la taille de la dalle et du nombre de pixels affichés, sur un smartphone de 5" HD on est autour de 300dpi par exemple. )

#15 Re : -1 »  Supprimer marge à l'impression libreoffice [RESOLU] » Hier à 00:54

Coeur Noir
Réponses : 6

Je pense que c'est plutôt du côté de l'imprimante qu'il faut enquêter : en photo elle sait apparemment imprimer sans marge en A4 mais probablement pas quand il s'agit de fichiers type document ?

Chercher s'il n'y a pas une fonction genre "ajuster l'impression aux marges de l'imprimante" dans le dialogue d'impression…

En tout cas depuis draw je peux confirmer qu'un document A4 avec des marges à zéro s'imprime sur toute la surface sans déformation moins, cependant, les marges imposées par l'imprimante.

#16 Re : -1 »  Le menu des applications toujours en haut ? » Le 04/12/2016, à 23:42

Coeur Noir
Réponses : 3

Je dois être un extra-terrestre alors lol

Moi aussi j'aime bien que les menus soient dans la barre de titres, comme ça ils ne bouffent pas de place dans la fenêtre de l'application.

Il y a un autre truc que j'aime bien c'est le minimise on click → un clic sur l’icône dans le lanceur d'une appli' ouverte et la fenêtre se réduit.

Ça tu le trouveras soit en installant compiz-config-settings-manager, dans la rubrique unity, onglet launcher, cocher Minimize Single Windows Application.
Soit en tapant cette commande :

gsettings set org.compiz.unityshell:/org/compiz/profiles/unity/plugins/unityshell/ launcher-minimize-window true

Soit dans Unity Tweak Tool ( sous 16.04, pas sous 14.04 ) dans l'onglet Launcher → minimize.

Si tu n'es pas allergique à la langue de Grande Bretagne, des trucs et astuces : http://www.omgubuntu.co.uk/2016/04/10-t … -16-04-lts ( sauf le point 12 concernant flash, il y a plus sûr et plus simple pour l'installer, si besoin )

#17 Re : -1 »  Polices LibreOffice [RÉSOLU] » Le 04/12/2016, à 21:41

Coeur Noir
Réponses : 15

C'était pour confirmer - ou pas - que les propriétaires et droits des fichiers étaient corrects : à priori oui.

tanguy est bien le propriétaire des fichiers libreoffice que tu ouvres ?

Si oui, teste depuis une session invité. Si là-bas tu n'as aucun souci, alors c'est ton profil perso de libreoffice qui coince.

Pour en créer un nouveau, renomme l'actuel pour le neutraliser :

mv ~/.config/libreoffice/4 ~/.config/libreoffice/4_ancien

à sa prochaine ouverture ( surtout pas en sudo hein ! ) libreoffice en recréera un.

#18 Re : -1 »  Polices LibreOffice [RÉSOLU] » Le 04/12/2016, à 22:52

Coeur Noir
Réponses : 15

big_smile cool !

Et à l'avenir, attention à sudo ( dans le terminal uniquement ) et gksudo ( pour lancer une appli' graphique depuis le terminal ) !

#19 Re : -1 »  [ Résolu ] problem avec la barre permetant de fermer les applications. » Le 04/12/2016, à 14:25

Coeur Noir
Réponses : 5

Par défaut - de mémoire - c'est openbox le gestionnaire de fenêtres dans Lubuntu.

Dans le menu → paramètres ( ou préférences ) → lxsessions ( ou nom approchant ) il y a une section autostart où indiquer le gestionnaire de fenêtres à utiliser.

#20 Re : -1 »  [ Résolu ] problem avec la barre permetant de fermer les applications. » Le 04/12/2016, à 21:11

Coeur Noir
Réponses : 5

Ok, tant mieux !

Un petit [ résolu ] dans le titre de ton premier message et ce sera parfait ?

#21 Re : -1 »  [résolu] Firefox : bloquer les mises à jour d'un module complémentaire » Le 04/12/2016, à 16:18

Coeur Noir
Réponses : 2
https://addons.mozilla.org/en-GB/firefox/addon/xnotifier/reviews/ a écrit :

If you want to stick to 3.5.23,

1. In Firefox's Add-ons Manager -> X-notifier -> More -> Set 'Automatic Update' to 'Off'

2. Install 3.5.23 from here https://addons.mozilla.org/en-US/firefo … /versions/

This version will stop working in the future according to Firefox team's plan.

IT WORKS smile

#22 Re : -1 »  [Résolu] Problèmes de mise à jour mate » Le 03/12/2016, à 23:46

Coeur Noir
Réponses : 19

https://launchpad.net/~ubuntu-mate-dev/ … enial-mate
Si je comprends bien ce ppa sert à passer à la version 1.14 de mate, alors que c'est la 1.12 qui se trouve dans les dépôts officiels de d'ubuntu 16.04.

https://launchpad.net/~ubuntu-x-swat/+a … /x-updates
Celui-là propose des mises à jour de composants graphiques ( xorg, nvidia… )

https://launchpad.net/~flexiondotorg/+a … /hal-flash
Ici l'idée c'est de fournir une interface hal à adobe-flash pour pouvoir lire des contenus avec DRM

https://launchpad.net/~linrunner/+archive/ubuntu/tlp
c'est TLP un outil pour gérer les paramètres d'alimentation d'un pc portable

https://launchpad.net/~neon1ks/+archive … /bumblebee
dans celui là y a… bumblebee pour gérer la techno Optimus ( pour switcher à la demande entre pilote proprio et pilote libre )

https://launchpad.net/~ubuntu-toolchain … buntu/test
des gcc, binutils… des trucs pour développeurs balaises, quoi.

Numix, des jolies icônes ou thèmes, inoffensif et otto-machin, c'est gimp… à priori inoffensif mais pas forcèment utile.

Tous ces ppa - hors gimp et numix et probablement hal - sont de nature à profondèment modifier ton système.
Si tu sais exactement pourquoi ils sont là, pourquoi pas, mais j'ai de sérieux doutes sur la stabilité de l'ensemble…

Donc questions :
- c'est toi qui as installé tout ça ?
- pourquoi ? Est-ce que ton pc déconnait avec l'installation initiale, basique d'ubuntu-mate-16.04 ?

Ce que je recommanderais :
- installer ppa-purge, ou yppamanager à la rigueur,
- virer tout ce qui a été installé par ces ppa, et les ppa avec, pour retrouver un système comme à l'origine.

De là n'éventuellement réinstaller que ce qui est indispensable, en préférant ce ppa https://launchpad.net/~graphics-drivers … ubuntu/ppa pour les mises à jour nvidia ( plutôt que le x-swat qui ratisse plus large ).

#23 Re : -1 »  Problème avec mon Disque Dur Ext. WD My Passport Ultra 1To USB 3.0 » Le 04/12/2016, à 15:05

Coeur Noir
Réponses : 35

@kwazzy, supposition, une piste à étudier :

[  600.986938] usb 1-3: reset high-speed USB device number 7 using xhci_hcd
[  632.026678] usb 1-3: reset high-speed USB device number 7 using xhci_hcd

xhci c'est la gestion de l'usb3 qui n'a pas toujours bonne réputation.

Si tu sais accéder à ton bios au démarrage de la machine, jette un œil aux paramètres avancés, pour usb, et préfère ehci plutôt que xhci.

Oui, ça veut dire que tes éventuels ports usb3 seront traités comme de l'usb2 mais on peut vivre avec ! Surtout si ça rend ton disque accessible et fiable à 100%

#24 Re : -1 »  Problème avec mon Disque Dur Ext. WD My Passport Ultra 1To USB 3.0 » Le 04/12/2016, à 15:10

Coeur Noir
Réponses : 35

@cleamounette

Un dossier « lost found » apparaît lorsque le système a vu des erreurs ou n'a pas « compris » ce qu'il devait faire de certains fichiers sur un disque. Pas forcément fatal mais pas forcément normal non plus. Comment / avec quel logiciel as-tu fait (re)formaté ton disque ?